#pragma once

#include "DialogManager.h"
#include "NMessageBox.h"

class CMessageBoxManager :	public DialogManager
{
public:
	CMessageBoxManager(void);
	~CMessageBoxManager(void);
	void CreateMessageBox(CWnd *pParent, LPCTSTR pszText, LPCTSTR pszCaption = _T("Ntalk biz"), UINT nType = MB_OK, BOOL bShowCheck = FALSE, LPCTSTR pszCheckMsg = _T(""), LPCTSTR pszCheckID = _T(""), BOOL bForeceTopWindow = FALSE);
	virtual int RemoveAll();

private:
	virtual void SetReadOnly(BOOL bStatus, CObject* pObject);
	void Create(LPCTSTR pszText, LPCTSTR pszCaption, UINT uType, BOOL bShowCheck = FALSE, LPCTSTR pszCheckMsg = _T(""), LPCTSTR pszCheckID = _T(""), BOOL bForceWindowTop = FALSE);

};
